From 067109b44ae049c3f6d72c6dc80e387ff8750b17 Mon Sep 17 00:00:00 2001
From: Sebastian Pipping <sebastian@pipping.org>
Date: Tue, 30 Jun 2020 21:00:28 +0200
Subject: [PATCH] setup.py: Drop generic upper version boundaries

---
 setup.py | 44 ++++++++++++++++++++++----------------------
 1 file changed, 22 insertions(+), 22 deletions(-)

diff --git a/setup.py b/setup.py
index ac55ce4..dd69bba 100644
--- a/setup.py
+++ b/setup.py
@@ -30,38 +30,38 @@ def find_version(*file_paths):
 
 
 install_requires = [
-    'cached-property >= 1.2.0, < 2',
-    'docopt >= 0.6.1, < 1',
-    'PyYAML >= 3.10, < 6',
-    'requests >= 2.20.0, < 3',
-    'texttable >= 0.9.0, < 2',
-    'websocket-client >= 0.32.0, < 1',
-    'distro >= 1.5.0, < 2',
-    'docker[ssh] >= 4.2.1, < 5',
-    'dockerpty >= 0.4.1, < 1',
-    'six >= 1.3.0, < 2',
-    'jsonschema >= 2.5.1, < 4',
-    'python-dotenv >= 0.13.0, < 1',
+    'cached-property >= 1.2.0',
+    'docopt >= 0.6.1',
+    'PyYAML >= 3.10',
+    'requests >= 2.20.0',
+    'texttable >= 0.9.0',
+    'websocket-client >= 0.32.0',
+    'distro >= 1.5.0',
+    'docker[ssh] >= 4.2.2',  # https://github.com/docker/compose/issues/7576
+    'dockerpty >= 0.4.1',
+    'six >= 1.3.0',
+    'jsonschema >= 2.5.1',
+    'python-dotenv >= 0.13.0',
 ]
 
 
 tests_require = [
-    'ddt >= 1.2.2, < 2',
-    'pytest < 6',
+    'ddt >= 1.2.2',
+    'pytest',
 ]
 
 
 if sys.version_info[:2] < (3, 4):
-    tests_require.append('mock >= 1.0.1, < 4')
+    tests_require.append('mock >= 1.0.1')
 
 extras_require = {
-    ':python_version < "3.2"': ['subprocess32 >= 3.5.4, < 4'],
-    ':python_version < "3.4"': ['enum34 >= 1.0.4, < 2'],
-    ':python_version < "3.5"': ['backports.ssl_match_hostname >= 3.5, < 4'],
-    ':python_version < "3.3"': ['backports.shutil_get_terminal_size == 1.0.0',
-                                'ipaddress >= 1.0.16, < 2'],
-    ':sys_platform == "win32"': ['colorama >= 0.4, < 1'],
-    'socks': ['PySocks >= 1.5.6, != 1.5.7, < 2'],
+    ':python_version < "3.2"': ['subprocess32 >= 3.5.4'],
+    ':python_version < "3.4"': ['enum34 >= 1.0.4'],
+    ':python_version < "3.5"': ['backports.ssl_match_hostname >= 3.5'],
+    ':python_version < "3.3"': ['backports.shutil_get_terminal_size >= 1.0.0',
+                                'ipaddress >= 1.0.16'],
+    ':sys_platform == "win32"': ['colorama >= 0.4'],
+    'socks': ['PySocks >= 1.5.6, != 1.5.7'],
     'tests': tests_require,
 }
 
-- 
2.26.2

